TRANSFORMIX(1)

NAME
transformix - manual page for transformix version: 5.2.0

DESCRIPTION
transformix version: 5.2.0

transformix applies a transform on an input image and/or generates a deformation field. The transform is specified in the transform-parameter file.

--help, -h displays this message and exit

--version
    output version information and exit

  Call transformix from the command line with mandatory arguments:

-out
    output directory

-tp transform-parameter file, only 1

  Optional extra commands:

-in input image to deform

-def
    file containing input-image points; the point are transformed according to the specified transform-parameter file use "-def all" to transform all points from the input-image, which effectively generates a deformation field.

-jac
    use "-jac all" to generate an image with the determinant of the spatial Jacobian

-jacmat
    use "-jacmat all" to generate an image with the spatial Jacobian matrix at each voxel

-loglevel set the log level to "off", "error", "warning", or "info" (default),

-priority set the process priority to high, abovenormal, normal (default),

    belownormal, or idle (Windows only option)

-threads
    set the maximum number of threads of transformix

At least one of the options "-in", "-def", "-jac", or "-jacmat" should be given.

The transform-parameter file must contain all the information necessary for transformix to run properly. That includes which transform to use, with which parameters, etc. For a usable transform-parameter file, run elastix, and inspect the output file "TransformParameters.0.txt".

  Need further help? Please check:

    * the elastix website: https://elastix.dev * the source code repository site: https://github.com/SuperElastix/elastix * the discussion forum: https://groups.google.com/g/elastix-imageregistration